#include <SoftwareSerial.h>
#include <ArduinoBLE.h>
#include <BLE.h>
#include <BLEUtils.h>
#include <BLEScan.h>
#include <BLEAdvertisedDevice.h>

const int red = 23;
const int green = 25;
const int buzz = 4;

SoftwareSerial mySerial(2, 3); // RX, TX

void setup() {
  mySerial.begin(9600);
  Serial.begin(9600);
  BLE.setEventHandler(BLEDiscovered, bleCentralDiscoverHandler);
  while (!Serial) ;
  Serial.println("Bluetooth device active, start scanning...");
  BLE.scan(true);
  pinMode(red, OUTPUT) // SET RED LED 
  pinMode(green, OUTPUT) // SET GREEN LED
  pinMode(buzz, OUTPUT) // SET BUZZER
  

}

void loop() {
   if (BLE.connected()) {
    if(BLE.rssi()< -70) {// -70 is the test value from the video
      Serial.println("BEEP BEEP BEEP !");
      digitalWrite(green, LOW);
      digitalWrite(red, HIGH);
      tone(buzz,1000);
      delay(1500);
    else
    {
      digitalWrite(red, LOW);
      digitalWrite(green, HIGH);
      noTone(buzz);
      delay(1500);
    }
   else Serial.println("Bluetooth not connected");
    }
  }

}
